This is a mirror of http://www.vim.org/scripts/script.php?script_id=2727

a plugin to format your javascript souce code

A js version can be found at:
http://jsbeautifier.org/

I just translated it into vimscript, it works at a low performance:)

usage:
  <leader>ff
or 
  bind the g:Jsbeautify() function to any short key you like
